'use strict';

angular.module('adf.widget.electre.lavoisier')
.value('renderingIFrameList', {
    defaultRendering : 'pdf',
    renderings : [
        'chart',
        'gz',
        'html',
        'pdf',
        'xlsx.xml',
        'zip'
    ]
}).controller('lavoisierIFrameEditCtrl',
    [
        '$scope', 'config', 'domService', 'renderingFactory', 'renderingIFrameList',
        function ($scope, config, domService, renderingFactory, renderingIFrameList) {
            renderingFactory.createRenderingDomFromArray(renderingIFrameList, angular.element(document.getElementById('edit_form_div_lavoisier')), config);
            var height_template = {
                "div" : {
                    classes : "form-group",
                    attributes: {"ng-if" : "config.viewOk"},
                    children : {
                        "label" : {
                            attributes : { "for": "table-edit-height" },
                            content : "Height"
                        },
                        "div" : {
                            classes : "form-group",
                            children : {
                                "input" : {
                                    classes : "form-control",
                                    attributes : {
                                        "id" : "table-edit-height",
                                        "type" : "number",
                                        "style" : {
                                            "width":"85%",
                                            "float":"left"
                                        },
                                        "ng-model" : "config.height"
                                    }
                                },
                                "span" : {
                                    classes : ["btn", "btn-default"],
                                    attributes : {
                                        "style": {
                                            "width":"15%",
                                            "float":"right"
                                        },
                                        "ng-click": "config.height=undefined;"
                                    },
                                    content : "Clear"
                                },
                                "div" : { attributes: {"style": "clear:both;" } }
                            }
                        }
                    }
                }
            };

            var height_dom = domService.json2dom(height_template);
            angular.element(document.getElementById('edit_form_div_lavoisier')).append(height_dom);
        }
    ]
);